lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:	Mon, 10 Mar 2014 14:14:49 -0400
From:	Steven Rostedt <rostedt@...dmis.org>
To:	Ben Hutchings <ben@...adent.org.uk>
Cc:	Sebastian Andrzej Siewior <bigeasy@...utronix.de>,
	linux-kernel@...r.kernel.org,
	linux-rt-users <linux-rt-users@...r.kernel.org>,
	Thomas Gleixner <tglx@...utronix.de>,
	Carsten Emde <C.Emde@...dl.org>,
	John Kacur <jkacur@...hat.com>,
	Corey Minyard <cminyard@...sta.com>
Subject: Re: [PATCH RT 2/5] a few open coded completions

On Mon, 10 Mar 2014 17:52:42 +0000
Ben Hutchings <ben@...adent.org.uk> wrote:

> On Mon, 2014-03-10 at 10:29 -0400, Steven Rostedt wrote:
> > On Sun, 09 Mar 2014 00:27:21 +0000
> > Ben Hutchings <ben@...adent.org.uk> wrote:
> > 
> > > On Wed, 2013-12-11 at 14:49 -0500, Steven Rostedt wrote:
> > > > Here's the new patch:
> > > 
> > > Doesn't add #includes and doesn't change any types, so of course it
> > > doesn't compile.  WTF?
> > > 
> > 
> > Hi Ben,
> > 
> > This is an old thread. Which kernel did you apply it to. Before I send
> > any patch set out, I run a small test (heavy stress test, and also
> > compile several different configs). This patch was against 3.10-rt, and
> > may have already had the includes needed. I know the original patch
> > compiled, but I may not have tested the second patch.
> > 
> > Do you need this patch? Or did I miss something for 3.2-rt?
> 
> You applied it to 3.2-rt:
> 
> commit 916c8d2de3c4759f57426fa3cfee63b491e88939
> Author: Sebastian Andrzej Siewior <bigeasy@...utronix.de>
> Date:   Mon Oct 28 11:50:06 2013 +0100
> 
>     swait: Add a few more users
> 
> and 3.4-rt, 3.8-rt, 3.10-rt.  So far as I can see, it is broken on all
> of those branches, though I only actually tried building 3.2-rt.
> 

Can you send me your config. I may just not be hitting it. I've booted
and ran all these kernels I've posted.

I don't run a make allmodconfig as I do on my upstream work. Maybe I'll
have to add that to the mix.

-- Steve
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

Powered by blists - more mailing lists